Package org.apache.solr.common.cloud.rule

## Class SnitchContext.SnitchInfo

- java.lang.Object
- - org.apache.solr.common.cloud.rule.SnitchContext.SnitchInfo

Enclosing class:
  SnitchContext

    public abstract static class SnitchContext.SnitchInfo
    extends Object

### Constructor Summary

Constructors
`protected` `SnitchInfo​(Map<String,​Object> conf)`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Set<String>` `getTagNames()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnitchInfo

    protected SnitchInfo​(Map<String,​Object> conf)

### Method Detail

#### getTagNames

    public abstract Set<String> getTagNames()